org.crosswire.jsword.passage

## Class PassageTally.OrderedVerseRangeIterator

- java.lang.Object
- - org.crosswire.jsword.passage.PassageTally.OrderedVerseRangeIterator

- All Implemented Interfaces:
    Iterator<VerseRange>
  Enclosing class:
    PassageTally

      private static final class PassageTally.OrderedVerseRangeIterator
      extends Object
      implements Iterator<VerseRange>

  Iterate over the Ranges in order of their rank in the tally
  Author:
    Joe Walker

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Iterator<PassageTally.TalliedVerseRange>` | `it` The Iterator we are converting
    `private PassageTally.TalliedVerseRange` | `last` So that we can get at the ranking of the given verse

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PassageTally.OrderedVerseRangeIterator(Versification v11n, Iterator<Key> vit, int[] board)` Find the first unused verse

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `VerseRange` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### last

          private PassageTally.TalliedVerseRange last

      So that we can get at the ranking of the given verse

    - #### it

          private Iterator<PassageTally.TalliedVerseRange> it

      The Iterator we are converting

  - ### Constructor Detail

    - #### PassageTally.OrderedVerseRangeIterator

          protected PassageTally.OrderedVerseRangeIterator(Versification v11n,
                                                Iterator<Key> vit,
                                                int[] board)

      Find the first unused verse
      Parameters:
        `v11n` - the versification to which this reference pertains
        `vit` -
        `board` -

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<VerseRange>`

    - #### next

          public VerseRange next()
                          throws NoSuchElementException

      Specified by:
        `next` in interface `Iterator<VerseRange>`
      Throws:
        `NoSuchElementException`

    - #### remove

          public void remove()
                      throws UnsupportedOperationException

      Specified by:
        `remove` in interface `Iterator<VerseRange>`
      Throws:
        `UnsupportedOperationException`